Skip to main content
GET
/
v2
/
loyalties
/
card-definitions
/
{cardDefinitionId}
/
activities
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "<string>",
      "data": {
        "card_definition": {
          "id": "<string>",
          "name": "<string>",
          "type": "INDIVIDUAL",
          "code_config": {
            "pattern": "<string>",
            "length": 123,
            "charset": "<string>",
            "prefix": "<string>",
            "postfix": "<string>"
          },
          "points_expiration": {
            "rolling_expiration": {
              "period": {
                "value": 123
              },
              "rounding": {
                "value": 6
              }
            },
            "calendar_expiration": {
              "expiration_dates": [
                {
                  "day": 16,
                  "month": 6
                }
              ]
            },
            "sliding_expiration": {
              "custom_activity_types": [
                "<string>"
              ],
              "period": {
                "value": 123
              },
              "earning_activity": true,
              "spending_activity": true,
              "custom_activity": true
            }
          },
          "pending_points": {
            "period_based": {
              "period": {
                "value": 123
              }
            },
            "fixed_dates": {
              "dates": [
                {
                  "day": 16,
                  "month": 6
                }
              ]
            },
            "event_based": {
              "event_types": [
                "<string>"
              ],
              "cancel_period": {
                "value": 123
              }
            }
          },
          "earning_limits": {
            "global": {
              "limits": [
                {
                  "type": "<string>",
                  "max": 123
                }
              ]
            },
            "transactions": {
              "limits": [
                {
                  "type": "<string>",
                  "max": 123
                }
              ]
            }
          },
          "spending_limits": {
            "global": {
              "limits": [
                {
                  "type": "<string>",
                  "max": 123
                }
              ]
            },
            "transactions": {
              "limits": [
                {
                  "type": "<string>",
                  "max": 123
                }
              ]
            }
          },
          "refunds": {
            "spent_points": {
              "methods": [
                {
                  "type": "<string>"
                }
              ]
            },
            "earned_points": {
              "methods": [
                {
                  "type": "<string>"
                }
              ]
            }
          },
          "balance_settings": {
            "allow_negative": true
          },
          "pay_with_points": {
            "exchange_ratio": {
              "formula": "<string>"
            }
          },
          "metadata": {},
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "object": "<string>"
        }
      },
      "created_at": "2023-11-07T05:31:56Z",
      "card_definition_id": "<string>",
      "group_id": "<string>",
      "source": {
        "user": {
          "id": "<string>"
        },
        "api_key": {
          "name": "<string>",
          "app_id": "<string>",
          "client_app_id": "<string>"
        }
      }
    }
  ],
  "cursor": {
    "next": "<string>",
    "expires_at": "2023-11-07T05:31:56Z"
  },
  "object": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

id
string
required

Unique card definition ID. Pattern: ^lcdef_[a-f0-9]+$.

Pattern: ^lcdef_[a-f0-9]+$

Query Parameters

limit
integer
default:10

Maximum number of activities to return. Minimum: 1, maximum: 100. Defaults to 10 when omitted.

Required range: 1 <= x <= 100
order

Sort order. A single field or an array of fields. Prefix with - for descending. Defaults to -created_at. The same field cannot be used in both ascending and descending direction at the same time.

Available options:
created_at,
-created_at
cursor
string

Pagination cursor returned by a previous call in cursor.next. Pattern: ^lcrsacd_[a-f0-9]+$.

Pattern: ^lcrsacd_[a-f0-9]+$
filters
object

Filter conditions per field, e.g. filters[type][conditions][$is]=vl.card_definition.created. Filters for the card definition activities list endpoint.

Response

A paginated list of card definition activities.

Cursor-paginated list of card definition activities.

data
object[]
required

The activities in the current page.

cursor
object | null
required

Pagination cursor. Null when there are no more results.

object
string
required

Object type marker. Always list.

Allowed value: "list"
Last modified on July 10, 2026